{% extends "base.html" %}
{% set active_page = "index" %}

{% block content %}
    {% include "module/_menu.html" %}

          <main role="main" class="ml-sm-auto col-12">
            <div class="parallax-window"
              data-parallax="scroll"
              data-image-src="{{ url_for('static', filename='img/dream-pulse-header.jpg') }}">
              <div class="tm-section-wrap">
                <section id="intro" class="tm-section">
                    <div class="tm-bg-white-transparent tm-intro">
                        <h2 class="tm-section-title mb-5 text-uppercase tm-color-primary">Тестовый сайт</h2>
                        <p class="tm-color-gray">
                          Простенький тестовый сайт написаный на Flask+MySQL для демонстрации моих знаний.
                        </p>
                        <p class="mb-0 tm-color-gray">
                            Flask + MySQL + Dockerfile + docker-compose + Gitlab CI + gitlab-runner
                        </p>
                    </div>
                </section>
            </div>
          </div>

          <div class="tm-section-wrap bg-white">
            <section id="about" class="row tm-section">
              <div class="col-xl-6">
                <div class="tm-section-half">
                    <h2 class="tm-section-title tm-color-primary mb-5">About Me</h2>
                    <p class="mb-5">
                      Раз этот сайт все равно необходимо наполнить хоть какой-то инфомрацией, немного расскажу о себе и своих онтересах.
                        <ul class="tm-section-list">
                            <li>С 2008 Системный Администратор; </li>
                            <li>C 2012 пишу сайты на CMS;</li>
                            <li>C 2018 пишу на Python;</li>
                            <li>C 2019 занимаюсь DevOps...</li>
                        </ul>

                    </p>
                </div>
              </div>
              <div class="col-xl-6">
                <div class="tm-section-half">
                    <h2 class="tm-section-title tm-color-primary mb-5">Range of interests</h2>
                    <ul class="tm-section-list">
                        <li>Docker</li>
                        <li>docker-compose</li>
                        <li>Ansible</li>
                        <li>Python | Bash</li>
                        <li>GitLab CI</li>
                        <li>AWS</li>
                        <li>GitHub Action</li>
                        <li>Kubernetes</li>
                        <li>Jenkins</li>
                    </ul>
                </div>
              </div>
            </section>
          </div>

          <div class="tm-section-wrap bg-white">
            <section id="clients" class="row tm-section">
              <div class="col-12 tm-section-pad">
                  <div class="tm-flex-item-left">
                      <div class="tm-w-80">
                          <h2 class="tm-color-primary tm-section-title mb-4">Our Clients</h2>
                          <p class="mb-5">
                            Aenean est augue, iaculis ut arcu a, cursus tempus eros.
                            Maecenas ut efficitur lectus, vel commodo nibh. Vivamus
                            consequat massa non euismod facilisis. Morbi assumsan non libero
                            a vehicula. Donec blandit suscipit magna sit amet elementum.
                          </p>
                      </div>

                      <div class="row tm-clients-images">
                        <div class="col-xl-3 col-lg-6 col-md-4 col-sm-6 tm-img-wrap">
                          <a href="https://google.com">
                            <img src="{{ url_for('static', filename='img/client-1.png') }}" alt="Client Image" class="img-fluid tm-client-img" />
                          </a>
                        </div>
                        <div class="col-xl-3 col-lg-6 col-md-4 col-sm-6 tm-img-wrap">
                          <a href="https://facebook.com">
                            <img src="{{ url_for('static', filename='img/client-2.png') }}" alt="Client Image" class="img-fluid tm-client-img" />
                          </a>
                        </div>
                        <div class="col-xl-3 col-lg-6 col-md-4 col-sm-6 tm-img-wrap">
                          <a href="https://twitter.com">
                            <img src="{{ url_for('static', filename='img/client-3.png') }}" alt="Client Image" class="img-fluid tm-client-img" />
                          </a>
                        </div>
                        <div class="col-xl-3 col-lg-6 col-md-4 col-sm-6 tm-img-wrap">
                          <a href="https://instagram.com">
                            <img src="{{ url_for('static', filename='img/client-4.png') }}" alt="Client Image" class="img-fluid tm-client-img" />
                          </a>
                        </div>
                        <div class="col-xl-3 col-lg-6 col-md-4 col-sm-6 tm-img-wrap">
                            <a href="https://google.com">
                              <img src="{{ url_for('static', filename='img/client-5.png') }}" alt="Client Image" class="img-fluid tm-client-img" />
                            </a>
                          </div>
                          <div class="col-xl-3 col-lg-6 col-md-4 col-sm-6 tm-img-wrap">
                            <a href="https://facebook.com">
                              <img src="{{ url_for('static', filename='img/client-6.png') }}" alt="Client Image" class="img-fluid tm-client-img" />
                            </a>
                          </div>
                          <div class="col-xl-3 col-lg-6 col-md-4 col-sm-6 tm-img-wrap">
                            <a href="https://twitter.com">
                              <img src="{{ url_for('static', filename='img/client-7.png') }}img/client-7.png" alt="Client Image" class="img-fluid tm-client-img" />
                            </a>
                          </div>
                          <div class="col-xl-3 col-lg-6 col-md-4 col-sm-6 tm-img-wrap">
                            <a href="https://instagram.com">
                              <img src="{{ url_for('static', filename='img/client-8.png') }}" alt="Client Image" class="img-fluid tm-client-img" />
                            </a>
                          </div>
                      </div>
                  </div>
              </div>
            </section>
          </div>

          <div class="tm-section-wrap bg-white">
            <section id="talk" class="row tm-section">
                <div class="col-xl-12 mb-5">
                  <div class="tm-double-border-1 tm-border-gray">
                    <div class="tm-double-border-2 tm-border-gray tm-box-pad">
                        <h2 class="tm-color-primary tm-section-title mb-4" align="center">Talk to Me</h2>
                            <div class="row">
                                <div class="col-md-4">
                                    <a href="{{ url_for('sign') }}"><input type="button" class="btn btn-primary btn" style="width: 100%" value="Оставить отзыв" /></a>
                                    <br><br>
                                    <a href="{{ url_for('search') }}"><input type="button" class="btn btn-success btn"  style="width: 100%" value="Найти отзыв" /></a>
                                </div>
                                <div class="col-md-8">
                                    <p class="mb-4">
                                      Если вам есть что мне сказать, вы можете оставить свой комментарий на данной страинце.
                                        Если вы уже оставляли комментарий, вы можете его найти. <u>(Собственно для этой функции и нужен был MySQL)</u><br>
                                    </p>
                                </div>
                            </div>

                    </div>
                  </div>
                </div>
                <div class="col-xl-12 mb-5">
                  <div class="tm-contact-form-wrap">
                      {% for r in result %}
                      <div class="page-header">
                        <h3>{{ r.name }}</h3>
                      </div>
                      <div class="well">
                        <p>{{ r.comment }}</p>
                      </div>
                      {% endfor %}
                  </div>

                </div>
              </section>
          </div>
        </main>

{% endblock %}